# [info.werefox.cafe](https://info.werefox.cafe)

> This will be used to replace the former `next.js` project that was hosting the info site.

## Development

> This project works by using `Dioxus'` `fullstack` platform.

If you want a developer environment, you'll need to do the following:

- [From the official Dioxus docs](https://dioxuslabs.com/docs/0.3/guide/en/getting_started/web), ensure you have `dioxus-cli` and the `wasm32-unknown-unknown` target installed

```
cargo install dioxus-cli
```
```
rustup target add wasm32-unknown-unknown
```
- Additionally, you *may* need to have the [Tauri prerequisites](https://tauri.app/v1/guides/getting-started/prerequisites/) installed.

Then, you should be able to run the development server.

(Linux example)
```
dx serve --hot-reload
```

If you'd like to know about how to use `dioxus-cli`, you should run `dioxus --help` or [reference the official documentation.](https://github.com/DioxusLabs/dioxus/tree/main/packages/cli)

## Running

Have `Dioxus` build a run binary.

```
dx build --release
```

Then, execute the resulting binary (which should end up in `dist/` by default).

```
./dist/info-werefox-cafe
```

## Project Structure

```
info-werefox-cafe
|- data             # text files that will be read to for data in the app
|- public           # save the assets you want include in your project.
|- src              # Rust code for the project
|\
||
||- utils           # save some public function
||- components      # save some custom components
```
